package com.yinet.web.controller.hbzwfw;

import com.yinet.common.core.controller.BaseController;
import com.yinet.hbzwfw.domain.RegisterUser;
import com.yinet.hbzwfw.service.HbzwfwService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.io.UnsupportedEncodingException;

/**
 * 网上预约列表Controller
 *
 * @author yinet
 * @date 2019-09-02
 */
@Controller
@RequestMapping("/hbzwfw")
public class HbzwfwController extends BaseController {
    @Autowired
    HbzwfwService hbzwfwService;

    @GetMapping(value = "/register")
    @ResponseBody
    public String register(String appmark, String appsecret, RegisterUser registerUser) {
        String s = hbzwfwService.regUser(appmark, appsecret, registerUser);
        return s;
    }
}
