package com.yinet.wsyy.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yinet.wsyy.mapper.WsyyQuantumMapper;
import com.yinet.wsyy.domain.WsyyQuantum;
import com.yinet.wsyy.service.IWsyyQuantumService;
import com.yinet.common.core.text.Convert;

/**
 * 时间段设置Service业务层处理
 *
 * @author yinet
 * @date 2019-09-02
 */
@Service
public class WsyyQuantumServiceImpl implements IWsyyQuantumService {
    @Autowired
    private WsyyQuantumMapper wsyyQuantumMapper;

    /**
     * 查询时间段设置列表
     *
     * @return 时间段设置
     */
    @Override
    public List<WsyyQuantum> selectWsyyQuantumList(String status) {
        return wsyyQuantumMapper.selectWsyyQuantumList(status);
    }

    @Override
    public int changeStatus(WsyyQuantum wsyyQuantum) {
        return wsyyQuantumMapper.changeStatus(wsyyQuantum);
    }
}
