package com.yinet.xcqh.service;

import com.yinet.xcqh.domain.Xcqh;

import java.io.IOException;
import java.util.Date;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * 现场取号列表Service接口
 *
 * @author yinet
 * @date 2019-09-02
 */
public interface XcqhService {

    /**
     * 查询现场取号列表列表
     *
     * @param xcqh 现场取号列表
     * @return 现场取号列表集合
     */
    public List<Xcqh> selectXcqhList(Xcqh xcqh);

    /**
     * 新增现场取号列表
     *
     * @param xcqh 现场取号列表
     * @return 结果
     */
    public int insertXcqh(Xcqh xcqh) throws IOException;


    /**
     * 批量删除现场取号列表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteXcqhByIds(String ids);


}
